import Vue from 'vue';
import { Args, StoryContext } from '@storybook/addons';
import { ButtonType } from './ButtonType';
import { ButtonAction } from './ButtonAction';
import './Button.stories.less';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, unknown, {
        onClick(event: Event): void;
    }, {
        rootClasses: Record<string, boolean>;
    }, {
        action: ButtonAction;
        type: ButtonType;
    }>;
    argTypes: {
        action: {
            options: ButtonAction[];
            control: string;
            defaultValue: ButtonAction;
        };
        type: {
            options: ButtonType[];
            control: string;
            defaultValue: ButtonType;
        };
        default: {
            control: string;
            defaultValue: string;
        };
        disabled: {
            control: string;
            table: {
                category: string;
            };
        };
        icon: {
            description: string;
            name?: string | undefined;
            defaultValue?: any;
        };
    };
    parameters: {
        layout: string;
    };
};
export default _default;
export declare const Configurable: (args: Args, { argTypes }: StoryContext) => Vue.Component;
export declare const AllCombinations: {
    (_args: Args, { argTypes }: StoryContext): Vue.Component;
    argTypes: {
        action: {
            table: {
                disable: boolean;
            };
        };
        disabled: {
            table: {
                disable: boolean;
            };
        };
        type: {
            table: {
                disable: boolean;
            };
        };
    };
};
